.modal {
  position: fixed;
  display: flex;
  z-index: 90;
  padding: 0px;
  margin: 0px auto;
  top: 0px;
  left: 0px;
  width: 100%;
  min-height: 100vh;
  height: 100%;
  justify-content: center;
  align-items: center;
  font-size: 40px;
  transition: all 200ms ease-in;
  font-family: 'Kanit', sans-serif; }
  .modal.close {
    display: none !important; }
  .modal__backdrop {
    z-index: 100;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.9);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0; }
  .modal__content {
    z-index: 101;
    position: fixed;
    color: #FFFFFF;
    font-size: 20px;
    padding-bottom: 40px;
    text-align: center;
    width: 350px;
    border-radius: 20px;
    left: 50%;
    top: 50%;
    transform: translate3d(-50%, -50%, 0);
    background: url("./../static/images/bg_modal.png") no-repeat top center;
    min-height: 325px; }
    .modal__content--inner {
      padding: 50px 0;
      width: 85%;
      margin: 0px auto; }
  .modal__head {
    text-align: center;
    color: #FFFFFF;
    font-size: 24px;
    padding: 25px;
    margin-top: -25px;
    line-height: 24px;
    background: url("./../static/images/bg_title_history.png") no-repeat top center; }
  .modal__bottom {
    position: absolute;
    display: block;
    width: 100%;
    bottom: 0px;
    transform: translate3d(0, 30%, 0); }
  .modal__button {
    cursor: pointer;
    display: inline-block;
    text-align: center;
    font-size: 20px;
    width: 45%;
    height: 40px;
    line-height: 40px;
    margin: 0 .4em;
    border-radius: 30px;
    color: #000;
    background-color: #f47260; }
    .modal__button:hover {
      background-color: #ff5c45; }

.inbox {
  display: block;
  width: 250px;
  padding: 15px;
  margin: 0px auto;
  border-radius: 20px;
  background-color: #de7e70;
  text-align: center;
  font-size: 18px;
  color: #fff; }
  .inbox__head {
    display: block;
    font-size: 1.5em;
    text-align: center;
    line-height: 2em; }

.input_uid {
  border: 0;
  background-color: transparent;
  font-size: 22px;
  text-align: center;
  width: 100%;
  color: #fff; }
  .input_uid:focus {
    outline: none; }
